<?php

function DebugLog($var)
{
  header ('Content-type: text/plain; charset=utf-8', true);
  //header ('Content-type: text/plain; charset=cp1251', true);
  echo "Debug print:\n============\n\n";

  if(is_array($var) || is_object($var))
  {
    print_r($var);
  }
  else
  {
    echo $var;
  }
  echo "\n";
  exit();
}
function MakeError($xml, $e_kind, $e_description)
{
    $command_status = $xml->addChild('param');
    $command_status->addAttribute('name', 'command_status');
    $command_status->addAttribute('value', 'failed');

    $error_kind = $xml->addChild('param');
    $error_kind->addAttribute('name', 'error_kind');
    $error_kind->addAttribute('value', (string)$e_kind);

    $error_description = $xml->addChild('param');
    $error_description->addAttribute('name', 'error_description');
    $error_description->addAttribute('value', (string)$e_description);

    $player_state = $xml->addChild('param');
    $player_state->addAttribute('name', 'player_state');
    $player_state->addAttribute('value', 'navigator');
}

function GetMetadata($folder, &$metadata)
{
  /*        $folder */
  $files = scandir($folder);
  foreach($files as $file)
  {
    if (($file == '.') || ($file == '..')) continue;
    $f0 = $folder.'/'.$file; //    
    if (is_dir($f0))
    {
      $metadata['dir'] = (int)$metadata['dir'] + 1;
      #GetMetadata($f0, $metadata);
    }
    else
    {
      $metadata['file'] = (int)$metadata['file']+1;
    }
  }
}
function explodeExt($delim, $str, $lim = 1)
{
  if ($lim > -2) return explode($delim, $str, abs($lim));

  $lim = -$lim;
  $out = explode($delim, $str);
  if ($lim >= count($out)) return $out;

  $out = array_chunk($out, count($out) - $lim + 1);

  return array_merge(array(implode($delim, $out[0])), $out[1]);
}

function _format_bytes($a_bytes)
{
  if ($a_bytes < 1024)
  {
    return $a_bytes .' B';
  }
  elseif ($a_bytes < 1048576)
  {
    return round($a_bytes / 1024, 2) .' KiB';
  }
  elseif ($a_bytes < 1073741824)
  {
    return round($a_bytes / 1048576, 2) . ' MiB';
  }
  elseif ($a_bytes < 1099511627776)
  {
    return round($a_bytes / 1073741824, 2) . ' GiB';
  }
  elseif ($a_bytes < 1125899906842624)
  {
    return round($a_bytes / 1099511627776, 2) .' TiB';
  }
  elseif ($a_bytes < 1152921504606846976)
  {
    return round($a_bytes / 1125899906842624, 2) .' PiB';
  }
  elseif ($a_bytes < 1180591620717411303424)
  {
    return round($a_bytes / 1152921504606846976, 2) .' EiB';
  }
  elseif ($a_bytes < 1208925819614629174706176)
  {
    return round($a_bytes / 1180591620717411303424, 2) .' ZiB';
  }
  else
  {
    return round($a_bytes / 1208925819614629174706176, 2) .' YiB';
  }
}
